/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//@@@@@@@@@@@@@@@@
function ASSERT_ReportViewer		//<c><a>public<d>Reporter viewer class
(
_iframeId		//<p>string<d>Test iframe ID
){
//================
this.ASSERT_ReportViewer = function		//<m>void<a>private<d>class constructor
(
iframeId		//<p>string<d>Test iframe ID
){
this.className	= 'ASSERT_ReportViewer';
this.iframeId	= iframeId;
this.setIn();
}//</m>ASSERT_ReportViewer



//================
this.setIn = function		//<m>void<a>private<d>Instance i12n
(){
this.doc = document.getElementById(this.iframeId).contentDocument;
this.docBody = this.doc.body;
this.setStyle();
}//</m>setIn


//================
this.setStyle = function		//<m>void<a>private<d>ISet up document stylesheet
(){
var
styleNode = this.doc.createElement('link');
styleNode.setAttribute('type', 'text/css');
styleNode.setAttribute('rel', 'stylesheet');
styleNode.setAttribute('href', this.K.TEST_CSS_PATH);
this.docBody.parentNode.firstChild.appendChild(styleNode);
}//</m>setIn


//================
this.setDisplay = function		//<m>void<a>public<d>
(
content		//<p>string<d>
){
this.docBody.innerHTML += content;
}//</m>setDisplay


//================
this.setClear = function		//<m>void<a>public<d>
(){
this.docBody.innerHTML = '';
}//</m>setClear


//================
this.getContent = function		//<m>void<a>protected<d>Get content
(){
return sprintf(this.K.DOC_HTML, this.docBody.innerHTML);
}//</m>getContent



this.K =
	{
	TEST_CSS_PATH:				'chrome://mozlib/skin/reporter.css',
	DOC_HTML:					'<?xml version="1.0" encoding="ISO-8859-1"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link type="text/css" rel="stylesheet" href="chrome://mozlib/skin/reporter.css" /><meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>UNIT TEST REPORT</title></head><body>%s</body></html>'
	};



this.ASSERT_ReportViewer(_iframeId);
}//</c>ASSERT_ReportViewer

