/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
/*
__IMPORT__
	(
	"chrome://mozlib/content/lib/js/io/file/",
	"instantiator.js",
	"file_handler.js",
	"processor.js"
	);
*/


//@@@@@@@@@@@@@@@@
function IO_file_processInstantiator		//<c><e>IO_file_Instantiator<a>public<d>Process instantiator class
(){
//================
this.IO_file_processInstantiator = function		//<m>void<a>private<d>Class constructor
(){
this.className		= 'IO_file_processInstantiator';
this.setInFile();
}//</m>IO_file_processInstantiator



//================
this.setInFile = function		//<m>void<a>private<d>Instance i12n
(){
if(this.setXPCOMFile() == this.K.ERROR.NONE){
	this.handler	= new IO_file_fileHandler(this);
	this.processor	= null;				//i12n delayed
	this.enable		= this.K.INSTANCE_ENABLED;
	}
}//</m>setInFile



//================
this.setXPCOMFile = function		//<m>void<a>private<d>SetUp XPCOM interfaces
(){
try{
	this.process = XPConnector.getInstance('nsIProcess');
	return this.K.ERROR.NONE;
	}
catch(e){
	return this.errorNotifier.setOut(e, this.K.ERROR.SERVICE_ACCESS);
	}
}//</m>setXPCOMFile



//================
this.set_handle = function		//<m>void<a>private<d>Set up the handle member
(
path,			//<p>string<d>Path of file/dir to handle --optional (close)
permissions		//<p>int=0755<d>Permission code --optional
){
return this.setHandle(this.K.FILE_INSTANCE, path, permissions);
}//</m>set_handle



//================
this.setProcess = function		//<m>void<a>public<d>Run/kill the file of this handle if it is an executable file
(
killing,		//<p>boolean<d>Kill process flag: kill || run --optional
argSet			//<p>string<d>Process arguments set -- optional
){
if(this.testProcessing('testExecutable()') != this.K.ERROR.NONE) return this.K.ERROR.NO_SUCCESS;
if(!this.processor){
	if(killing) return this.errorNotifier.setOut(e, this.K.ERROR.PROCESS_ACCESS);
	this.processor = new IO_file_Processor(this, argSet);
	}
return this.processor.setProcess(killing);
}//</m>setProcess<d>&
/*
Delegate to processor
*/



this.IO_file_processInstantiator();
}//</c>IO_file_processInstantiator
IO_file_processInstantiator.prototype = new IO_file_Instantiator;


