/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
const
/*boolean*/ASSERT_ENABLE = true,
ASSERT_DISABLE = false,
/*string*/IS_STRING = '"JAVASCRIPT" ASSERTION UNIT',
IS_ANOTHER_STRING = '"ECMA Script" Assertion Unit';

TEST_signature();

function
TEST_signature(){
const
/*string*/atCall = 'TEST_signature: ';
var
/*int*/atWarn = 1;	//to index warnings

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 1 argument signature -- assertion is inconditionally checked');
__ASSERT__.isFalse(IS_STRING);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 1 argument and assertion checking condition signature \
-- assertion is conditionally checked (false)');
__ASSERT__.isFalse(IS_STRING, ASSERT_DISABLE);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 1 argument and assertion checking condition signature \
-- assertion is conditionally checked (true)');
__ASSERT__.isFalse(IS_STRING, ASSERT_ENABLE);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 1 argument and assertion comment -- assertion is inconditionally checked');
__ASSERT__.isFalse(IS_STRING, atCall + 'argument is: "JAVASCRIPT" ASSERTION UNIT');

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 1 argument, assertion checking condition and assertion comment \
-- assertion is conditionally checked (true)');
__ASSERT__.isFalse(IS_STRING, ASSERT_ENABLE, atCall + 'argument is: "JAVASCRIPT" ASSERTION UNIT');


__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 2 arguments signature -- assertion is inconditionally checked');
__ASSERT__.isEqual(IS_STRING, IS_ANOTHER_STRING);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 2 arguments and assertion checking condition signature \
-- assertion is conditionally checked (false)');
__ASSERT__.isEqual(IS_STRING, IS_ANOTHER_STRING, ASSERT_DISABLE);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 2 arguments and assertion checking condition signature \
-- assertion is conditionally checked (true)');
__ASSERT__.isEqual(IS_STRING, IS_ANOTHER_STRING, ASSERT_ENABLE);

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 2 arguments and assertion comment -- assertion is inconditionally checked');
__ASSERT__.isEqual(IS_STRING, IS_ANOTHER_STRING, atCall
+ 'argument1 is: "JAVASCRIPT" ASSERTION UNIT, argument2 is: "ECMA Script" Assertion Unit');

__ASSERT__.warn(atCall + atWarn++
+ ') TEST with 2 arguments, assertion checking condition and assertion comment \
-- assertion is conditionally checked (true)');
__ASSERT__.isEqual(IS_STRING, IS_ANOTHER_STRING, ASSERT_ENABLE, atCall
+ 'argument1 is: "JAVASCRIPT" ASSERTION UNIT, argument2 is: "ECMA Script" Assertion Unit');

}


