/*
 * The contents of this file are
 * Copyright (C) 2003 ID EST. All Rights Reserved.
 */
//@@@@@@@@@@@@@@@@
function PROMPT_Instantiator		//<c>abstract<a>protected<d>Prompt basic class
(
_window			//<p>Object<d>Window parent of prompt
){
//================
this.PROMPT_Instantiator = function		//<m>void<a>private<d>class constructor
(
wwindow			//<p>Object=window<d>Window parent of prompt --optional
){
this.className	= 'PROMPT_Instantiator';
this.window		= wwindow || window;
this.setIn();
}//</m>PROMPT_Instantiator



//================
this.setIn = function		//<m>void<a>private<d>Instance i12n
(){
this.errorNotifier = new ERROR_Notifier(this.className);
this.input =
	{
	checkbox:	{value: 1}
	};
this.output =
	{
	accept:		false,
	checkbox:	{value: 0},
	button:		{value: 0},
	prompt:		{value: ''},
	upass:		{value: ''},
	selection:	{value: 0, key: ''}
	};
try{
	this.prompter = (this.setXPCOM() == this.K.ERROR.NONE) ? this.XPCOM_WindowWatcher.getNewPrompter(this.window) :
		null;
	}
catch(e){
	this.errorNotifier.setOut(e, this.K.ERROR.PROMPTER_ACCESS);
	}
}//</m>setIn



//================
this.setXPCOM = function		//<m>void<a>private<d>SetUp RDF service interface
(){
try{
	this.XPCOM_WindowWatcher = XPConnector.getService('nsIWindowWatcher');
	return this.K.ERROR.NONE;
	}
catch(e){
	this.errorNotifier.setOut(e, this.K.ERROR.SERVICE_ACCESS);
	}
}//</m>setXPCOM



//================
this.setCheckbox = function		//<m>void<a>protected<d>Setup the checkbox value
(
checking		//<p>boolean<d>CHeck flag: set || unset --optional
){
this.input.checkbox.value = checking ? 1 : 0;
}//</m>setCheckbox



//================
this.getAccept = function		//<m>boolean<a>public<d>Get the accepted value
(){
return this.output.accept;
}//</m>getAccept



//================
this.getCheckbox = function		//<m>boolean<a>public<d>Get the checkbox value
(){
return this.output.checkbox.value;
}//</m>setCheckbox



//================
this.getPrompt = function		//<m>boolean<a>public<d>Get the prompt / user name value
(){
return this.output.prompt.value;
}//</m>getPrompt



//================
this.getUpass = function		//<m>boolean<a>public<d>Get the password value
(){
return this.output.upass.value;
}//</m>getUpass



//================
this.getSelection = function		//<m>boolean<a>public<d>Get the selection index
(){
return this.output.selection.value;
}//</m>getSelection



//================
this.getSelectionKey = function		//<m>boolean<a>public<d>Get the selection value
(){
return this.output.selection.key;
}//</m>getSelectionKey



//================
this.testPrompter = function		//<m>boolean<a>protected<d>Check whether prompter is initialized
(){
return this.prompter != null;
}//</m>testService



this.K =
	{
	ALERT_MODE:					0,
	CONFIRM_MODE:				1,
	PROMPT_MODE:				2,
	SELECT_MODE:				3,

	CONFIRM_OK:					'BUTTON_TITLE_OK',
	CONFIRM_CANCEL:				'BUTTON_TITLE_CANCEL',
	CONFIRM_YES:				'BUTTON_TITLE_YES',
	CONFIRM_NO:	 				'BUTTON_TITLE_NO',
	CONFIRM_SAVE:				'BUTTON_TITLE_SAVE',
	CONFIRM_DONT_SAVE:			'BUTTON_TITLE_DONT_SAVE',
	CONFIRM_REVERT:				'BUTTON_TITLE_REVERT',
	CONFIRM_STRING:				'BUTTON_TITLE_IS_STRING',

	ERROR:
		{
		//NON FATAL
		NONE:					0,
		NO_SUCCESS:				1,

		//FATAL
		SERVICE_ACCESS:			-1,
		PROMPTER_ACCESS:		-2,
		FATAL:					0xFF		//end of error codes
		}
	};



this.PROMPT_Instantiator(_window);
}//</c>PROMPT_Instantiator




